Foreman - Bug #33861

Foreman wont start with old settings in DB
11/07/2021 03:30 PM - Ondfej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Settings
Target version: 3.0.2
Difficulty: Fixed in Releases: 3.0.2,3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8902,
https://github.com/theforeman/foreman/p
ull/8913
Description

https://community.theforeman.org/t/foreman-upgrade-error-nomethoderror-undefined-method-to-sym-for-nil-nilclass/25449

Associated revisions

Revision 3a2f6218 - 11/10/2021 08:47 AM - Ondiej Ezr
Fixes #33861 - add default type for DB settings

History

#1 - 11/07/2021 03:31 PM - Ondfej Ezr

- Target version set to 3.0.2

#2 - 11/07/2021 03:32 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8902 added

#3 - 11/10/2021 08:47 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 11/10/2021 08:53 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8913 added

#5 - 11/10/2021 09:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3a2{6218cd7337b803167e9afb7b59d4f0c04763.

#6 - 11/10/2021 09:21 AM - Matt Darcy

plugins installed on an impacted system is

foreman-tasks 5.11
foreman_ansible 6.41
foreman_dhcp_browser 0.0.8
foreman_expire_hosts 7.0.4
foreman_hooks 0.3.17

foreman kubevirt 0.1.9
foreman_openscap 5.0.0
foreman_puppet 1.0.4
foreman_remote_execution 4.7.0
https://community.theforeman.org/t/foreman-upgrade-error-nomethoderror-undefined-method-to-sym-for-nil-nilclass/25449
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3a2f6218cd7337b803167e9afb7b59d4f0c04763

foreman_templates 9.1.0

#7 - 11/10/2021 11:33 AM - The Foreman Bot
- Fixed in Releases 3.0.2 added
